from hatchling.builders.hooks.plugin.interface import BuildHookInterface

import os
import pathlib

from traitlets.config import Config
from literary.commands.build import LiteraryBuildApp


class LiteraryBuildHook(BuildHookInterface):

    PLUGIN_NAME = 'literary'

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        
    def _find_jupyter_path():
        jupyter_path = pathlib.Path(shutil.which("jupyter"))
        return jupyter_path.parent.parent / "share" / "jupyter"
        
    def _patch_jupyter_path():
        paths = os.environ.get('JUPYTER_PATH', '').split(os.path.pathsep)
        paths = [str(_find_jupyter_path())] + paths
        os.environ['JUPYTER_PATH'] = os.path.pathsep.join(paths)

    def initialize(self, version, build_data):
        print("INIT"
        )
